# osgscalarbar.cpp File Reference

`#include <osg/Geode>`
`#include <osg/ShapeDrawable>`
`#include <osg/Material>`
`#include <osg/Texture2D>`
`#include <osg/MatrixTransform>`
`#include <osg/PositionAttitudeTransform>`
`#include <osg/BlendFunc>`
`#include <osg/ClearNode>`
`#include <osg/Projection>`
`#include <osgUtil/Tesselator>`
`#include <osgUtil/TransformCallback>`
`#include <osgUtil/CullVisitor>`
`#include <osgGA/TrackballManipulator>`
`#include <osgProducer/Viewer>`
`#include <osgDB/ReadFile>`
`#include <osgSim/ScalarsToColors>`
`#include <osgSim/ColorRange>`
`#include <osgSim/ScalarBar>`
`#include <sstream>`
`#include <math.h>`

Include dependency graph for osgscalarbar.cpp:

## Functions

osg::Node * | createScalarBar ()
osg::Node * | createScalarBar_HUD ()
int | main (int argc, char **argv)

## Function Documentation

osg::Node* createScalarBar | ( |  | ) |

osg::Node* createScalarBar_HUD | ( |  | ) |

int main | ( | int | argc,
|  | char ** | argv
| ) |